From bfad854c1897d1fbfcced04f20a6336b53fa1587 Mon Sep 17 00:00:00 2001
From: Mingli Zhang <avamingli@gmail.com>
Date: Mon, 19 Sep 2022 16:25:38 +0800
Subject: [PATCH vn] free list same_input_transnos during preprocess_aggref

For each preprocess_aggref, free list same_input_transnos which is used to
track compitable transnos.
---
 src/backend/optimizer/prep/prepagg.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/backend/optimizer/prep/prepagg.c b/src/backend/optimizer/prep/prepagg.c
index da89b55402..190abb9a59 100644
--- a/src/backend/optimizer/prep/prepagg.c
+++ b/src/backend/optimizer/prep/prepagg.c
@@ -265,6 +265,7 @@ preprocess_aggref(Aggref *aggref, PlannerInfo *root)
 										aggserialfn, aggdeserialfn,
 										initValue, initValueIsNull,
 										same_input_transnos);
+		list_free(same_input_transnos);
 		if (transno == -1)
 		{
 			AggTransInfo *transinfo = makeNode(AggTransInfo);
-- 
2.34.1

